Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.jmx.mbeans
Interface ServerRuntimeMBean

    public interface ServerRuntimeMBean

`ServerRuntimeMBean` provides the ability to expose JReport Server's attributes and operations.

Method Summary
`int` | `getAvgProcessTimeByRpt()` Gets average processing time of all Completed Reports.
`int` | `getAvgRptNumsSubmittedByUser()` Gets average number of Reports submitted by every user.
`int` | `getAvgWaitTimeByRpt()` Gets average waiting time of all Completed Reports.
`int` | `getCurrentConnectionNums()` Gets the number of Connections currently active in Database Connection Pool.
`int` | `getFinishedRptNums()` Gets the number of Completed Reports within the specified monitoring duration.
`int` | `getFinishedRptPages()` Gets the total number of Completed Reports' pages within the specified monitoring duration.
`java.lang.String` | `getHost()` Gets the JReport Server's Host address (IP address).
`java.lang.String` | `getName()` Gets the JReport Server's alias name.
`int` | `getPort()` Gets the JReport Server's RMI Port value.
`int` | `getRunningRptNums()` Gets the number of currently Running Reports.
`java.lang.String` | `getStatus()` Gets the JReport Server's status, for example: "Not Started", "Started", "Shut Down" or "Crashed".
`java.lang.String` | `getType()` Gets the JReport Server's type, for example: "Admin", "Backup", or "Slave".
`int` | `getValidUserSessionNums()` Gets the number of currently valid User Sessions.
`int` | `getWaitingRptNums()` Gets the number of currently Waiting Reports.
`void` | `stop()` Stops the server associated with this ServerRuntimeMBean.

Method Detail

### getName

    java.lang.String getName()

  Gets the JReport Server's alias name.

  Returns:
    the JReport Server's name.

### getHost

    java.lang.String getHost()

  Gets the JReport Server's Host address (IP address).

  Returns:
    the JReport Server's Host address.

### getPort

    int getPort()

  Gets the JReport Server's RMI Port value.

  Returns:
    the JReport Server's Port value.

### getStatus

    java.lang.String getStatus()

  Gets the JReport Server's status, for example: "Not Started", "Started", "Shut Down" or "Crashed".

  Returns:
    the JReport Server's status which is a String-type value.

### getType

    java.lang.String getType()

  Gets the JReport Server's type, for example: "Admin", "Backup", or "Slave".

  Returns:
    the JReport Server's type.

### getWaitingRptNums

    int getWaitingRptNums()
                          throws java.lang.Exception

  Gets the number of currently Waiting Reports.

  Returns:
    the number of currently Waiting Reports.
  Throws:
    `java.lang.Exception`

### getRunningRptNums

    int getRunningRptNums()
                          throws java.lang.Exception

  Gets the number of currently Running Reports.

  Returns:
    the number of currently Running Reports.
  Throws:
    `java.lang.Exception`

### getFinishedRptNums

    int getFinishedRptNums()
                           throws java.lang.Exception

  Gets the number of Completed Reports within the specified monitoring duration.

  Returns:
    the number of Completed Reports.
  Throws:
    `java.lang.Exception`

### getFinishedRptPages

    int getFinishedRptPages()
                            throws java.lang.Exception

  Gets the total number of Completed Reports' pages within the specified monitoring duration.

  Returns:
    the total number of Completed Reports' pages.
  Throws:
    `java.lang.Exception`

### getAvgProcessTimeByRpt

    int getAvgProcessTimeByRpt()
                               throws java.lang.Exception

  Gets average processing time of all Completed Reports.

  Returns:
    average processed time of all Completed Reports.
  Throws:
    `java.lang.Exception`

### getAvgWaitTimeByRpt

    int getAvgWaitTimeByRpt()
                            throws java.lang.Exception

  Gets average waiting time of all Completed Reports.

  Returns:
    average waiting time of all Completed Reports.
  Throws:
    `java.lang.Exception`

### getValidUserSessionNums

    int getValidUserSessionNums()
                                throws java.lang.Exception

  Gets the number of currently valid User Sessions.

  Returns:
    the number of currently valid User Sessions.
  Throws:
    `java.lang.Exception`

### getAvgRptNumsSubmittedByUser

    int getAvgRptNumsSubmittedByUser()
                                     throws java.lang.Exception

  Gets average number of Reports submitted by every user.

  Returns:
    average number of Reports submitted by every user.
  Throws:
    `java.lang.Exception`

### getCurrentConnectionNums

    int getCurrentConnectionNums()
                                 throws java.lang.Exception

  Gets the number of Connections currently active in Database Connection Pool.

  Returns:
    the number of Database Connections.
  Throws:
    `java.lang.Exception`

### stop

    void stop()

  Stops the server associated with this ServerRuntimeMBean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD